NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::GussetBuilder Class Reference

Represents a NX Sheet Metal NXOpen::Features::Gusset builder
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateGussetBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::SheetMetal::GussetBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  PlacementTypes { PlacementTypesSingle, PlacementTypesFit, PlacementTypesFill, PlacementTypesFixed }
 This enum represents the different options for placing an automatic profile Gusset. More...
 
enum  Shapes { ShapesSquare, ShapesRound }
 This enum represents the two different shapes for Gusset. More...
 
enum  Types { TypesAutomaticProfile, TypesUserDefinedProfile }
 This enum represents the two Gusset Feature types. More...
 
enum  WidthSides { WidthSidesSide1, WidthSidesSide2, WidthSidesSymmetric }
 This enum represents the different options for thickening the user defined profile Gusset. More...
 

Public Member Functions

void AlternateSolution ()
 Cycles the available solutions when a user defined profile intersects the solid body. More...
 
NXOpen::SelectFaceBendFace ()
 Returns the bend face
Selects the bend face along which the gusset is placed. More...
 
NXOpen::ExpressionCornerRadius ()
 Returns the corner radius
Only use this option to edit gussets created prior to NX10. More...
 
NXOpen::PlaneDatumPlane ()
 Returns the plane of the gusset profile. More...
 
NXOpen::ExpressionDepth ()
 Returns the depth
This value is used for the automatic profile Gussets. More...
 
NXOpen::ExpressionDieRadius ()
 Returns the die radius value of the sharp edges of the bottom face. More...
 
bool GetIsPreNx10 ()
 Whether this is a pre-NX10 gusset. More...
 
NXOpen::Vector3d GetPlacementOriginAndDirection (NXOpen::Point3d *origin)
 Get the placement origin and direction. More...
 
void GetStartEdgeCandidates (std::vector< NXOpen::Edge * > &candidateEdges)
 Get the edges on the bend face that can be selected as Start Edge. More...
 
int PlacementCount ()
 Returns the placement count
Only use this option to edit gussets created prior to NX10. More...
 
NXOpen::ExpressionPlacementDistance ()
 Returns the placement distance
Only use this option to edit gussets created prior to NX10. More...
 
NXOpen::ExpressionPlacementSpacing ()
 Returns the placement spacing
Only use this option to edit gussets created prior to NX10. More...
 
NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes PlacementType ()
 Returns the placement type
Only use this option to edit gussets created prior to NX10. More...
 
NXOpen::ExpressionPunchRadius ()
 Returns the punch radius value
The application of the punch radius has changed from NX10 onwards, to ensure material thickness is constant in the gusset. More...
 
NXOpen::SectionSection ()
 Returns the section
This section object contains a planar set of connected curves that will be used to create a Gusset of type NXOpen::Features::SheetMetal::GussetBuilder::TypesUserDefinedProfile . More...
 
void SetDatumPlane (NXOpen::Plane *dPlane)
 Sets the plane of the gusset profile. More...
 
void SetPlacementCount (int placementCount)
 Sets the placement count
Only use this option to edit gussets created prior to NX10. More...
 
void SetPlacementType (NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes placementType)
 Sets the placement type
Only use this option to edit gussets created prior to NX10. More...
 
void SetShape (NXOpen::Features::SheetMetal::GussetBuilder::Shapes shape)
 Sets the shape
See NXOpen::Features::SheetMetal::GussetBuilder::Shapes for details. More...
 
void SetType (NXOpen::Features::SheetMetal::GussetBuilder::Types type)
 Sets the type of Gusset feature
Created in NX7.5.0. More...
 
void SetWidthSide (NXOpen::Features::SheetMetal::GussetBuilder::WidthSides widthSide)
 Sets the width side
Defines the side of the profile to which material should be added or from which material should be removed to construct the feature. More...
 
NXOpen::Features::SheetMetal::GussetBuilder::Shapes Shape ()
 Returns the shape
See NXOpen::Features::SheetMetal::GussetBuilder::Shapes for details. More...
 
NXOpen::ExpressionSideAngle ()
 Returns the side angle. More...
 
NXOpen::SelectEdgeStartEdge ()
 Returns the start edge
Only use this option to edit gussets created prior to NX10. More...
 
NXOpen::Features::SheetMetal::GussetBuilder::Types Type ()
 Returns the type of Gusset feature
Created in NX7.5.0. More...
 
NXOpen::ExpressionWidth ()
 Returns the width value for the Gusset
Created in NX7.5.0. More...
 
NXOpen::Features::SheetMetal::GussetBuilder::WidthSides WidthSide ()
 Returns the width side
Defines the side of the profile to which material should be added or from which material should be removed to construct the feature. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NX Sheet Metal NXOpen::Features::Gusset builder
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateGussetBuilder
Default values.

Property Value

CornerRadius.Value

1 (millimeters part), 0.05 (inches part)

Depth.Value

10 (millimeters part), 1 (inches part)

DieRadius.Value

2 (millimeters part), 0.1 (inches part)

PlacementCount

2

PlacementDistance.Value

10 (millimeters part), 1 (inches part)

PlacementSpacing.Value

20 (millimeters part), 2 (inches part)

PlacementType

Single

PunchRadius.Value

2 (millimeters part), 0.1 (inches part)

Shape

Square

SideAngle.Value

0

Width.Value

10 (millimeters part), 1 (inches part)

WidthSide

Side1


Created in NX7.5.0.

Member Enumeration Documentation

This enum represents the different options for placing an automatic profile Gusset.

Enumerator
PlacementTypesSingle 

One Gusset will be created at an offset from an edge on the selected bend face.

PlacementTypesFit 

Users will specify the number of occurances of Gusset on the selected bend face and software will calculate the spacing.

PlacementTypesFill 

Users will specify the spacing of Gussets on the selected bend face and software will calculate the number of occurances.

PlacementTypesFixed 

Users will specify the number of occurances and the spacing for Gussets on the selected bend face.

This enum represents the two different shapes for Gusset.

Enumerator
ShapesSquare 

Specifies a square shape for the Gusset.

ShapesRound 

Specifies a round shape for the Gusset.

This enum represents the two Gusset Feature types.

Enumerator
TypesAutomaticProfile 

Gusset(s) will be created between the planar faces adjacent to the selected bend face.

TypesUserDefinedProfile 

Gusset will be created using a profile defined by the user.

This enum represents the different options for thickening the user defined profile Gusset.

Enumerator
WidthSidesSide1 

The Gusset will be created on the side of plane normal of the user defined profile.

WidthSidesSide2 

The Gusset will be created on the opposite side of the plane normal of the user defined profile.

WidthSidesSymmetric 

The Gusset will be created on both sides of the plane of the user defined profile.

Member Function Documentation

void NXOpen::Features::SheetMetal::GussetBuilder::AlternateSolution ( )

Cycles the available solutions when a user defined profile intersects the solid body.

If there is only one working solution then it will be automatically selected and this method will not do anything.
Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::SelectFace* NXOpen::Features::SheetMetal::GussetBuilder::BendFace ( )

Returns the bend face
Selects the bend face along which the gusset is placed.



Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::GussetBuilder::CornerRadius ( )

Returns the corner radius
Only use this option to edit gussets created prior to NX10.

From NX10 onwards, this is going to be automatically determined by adding the material thickness to the NXOpen::Features::SheetMetal::GussetBuilder::PunchRadius This value is used only for the NXOpen::Features::SheetMetal::GussetBuilder::ShapesSquare shape. The value must be greater than or equal to zero.


Created in NX7.5.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::SheetMetal::GussetBuilder::DatumPlane ( )

Returns the plane of the gusset profile.


Returns the datum plane on the bend face that contains the profile of the automatic profile gusset.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::GussetBuilder::Depth ( )

Returns the depth
This value is used for the automatic profile Gussets.

It represents the distance from the outer bend face of the selected bends along the bisector of the planar faces adjacent to the outer bend face.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::GussetBuilder::DieRadius ( )

Returns the die radius value of the sharp edges of the bottom face.

The value must be greater than or equal to zero.
Created in NX7.5.0.

License requirements : None

bool NXOpen::Features::SheetMetal::GussetBuilder::GetIsPreNx10 ( )

Whether this is a pre-NX10 gusset.


Use this to determine whether the gusset is created prior to NX10.

Returns

Created in NX10.0.0.

License requirements : None
NXOpen::Vector3d NXOpen::Features::SheetMetal::GussetBuilder::GetPlacementOriginAndDirection ( NXOpen::Point3d origin)

Get the placement origin and direction.


Only use this option to edit gussets created prior to NX10. Use NXOpen::Features::SheetMetal::GussetBuilder::DatumPlane and NXOpen::Features::SheetMetal::GussetBuilder::SetDatumPlane to locate automatic profile gussets from NX10 onwards. Get the point from which the placement distance will be measured and the direction along which the positive distance is defined.

Returns
Direction along which the placement distance is measured.
Created in NX7.5.0.

License requirements : None
Parameters
originStart point from which placement distance is measured.
void NXOpen::Features::SheetMetal::GussetBuilder::GetStartEdgeCandidates ( std::vector< NXOpen::Edge * > &  candidateEdges)

Get the edges on the bend face that can be selected as Start Edge.


Only use this option to edit gussets created prior to NX10. Use NXOpen::Features::SheetMetal::GussetBuilder::DatumPlane and NXOpen::Features::SheetMetal::GussetBuilder::SetDatumPlane to locate automatic profile gussets from NX10 onwards. Get the edges on the bend face that can be selected as Start Edge. If there is no Bend Face, then no edges will be returned.


Created in NX7.5.0.

License requirements : None

Parameters
candidateEdgesAn array of edges that are valid for selection as start edge
int NXOpen::Features::SheetMetal::GussetBuilder::PlacementCount ( )

Returns the placement count
Only use this option to edit gussets created prior to NX10.

Use patterns to create multiple gussets from NX10 onwards. This value is used if the NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes is set to NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFit or NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFixed . It represents the number of occurances of the automatic profile Gusset to create on the selected bend face. The count must be greater than zero for NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFit and greater than one for NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFixed .


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::GussetBuilder::PlacementDistance ( )

Returns the placement distance
Only use this option to edit gussets created prior to NX10.

Use NXOpen::Features::SheetMetal::GussetBuilder::DatumPlane and NXOpen::Features::SheetMetal::GussetBuilder::SetDatumPlane to locate automatic profile gussets from NX10 onwards. If the NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes is set to NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesSingle , then this option represents the location of the automatic profile Gusset from one of the ends of the selected bend face. The distance is measured in a direction going from the start end to the other end. Users can specify which end of the selected bend face to use as the start.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::GussetBuilder::PlacementSpacing ( )

Returns the placement spacing
Only use this option to edit gussets created prior to NX10.

Use patterns to create multiple gussets from NX10 onwards. This value is used if the NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes is set to NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFill or NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFixed . It represents the spacing between the automatic profile Gussets to create on the selected bend face.


Created in NX7.5.0.

License requirements : None

NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes NXOpen::Features::SheetMetal::GussetBuilder::PlacementType ( )

Returns the placement type
Only use this option to edit gussets created prior to NX10.

Use patterns to create multiple gussets from NX10 onwards. Specify the Gusset placement option. See the description of NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes elements for details.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::GussetBuilder::PunchRadius ( )

Returns the punch radius value
The application of the punch radius has changed from NX10 onwards, to ensure material thickness is constant in the gusset.

See the legend in the gusset dialog for more information.


Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SheetMetal::GussetBuilder::Section ( )

Returns the section
This section object contains a planar set of connected curves that will be used to create a Gusset of type NXOpen::Features::SheetMetal::GussetBuilder::TypesUserDefinedProfile .

This profile can be closed or open. If it is open, then the end points can touch face(s). The profile must not intersect the solid body. If an open profile does not intersect or touch any face, each end will be extended until it touches a face.


Created in NX7.5.0.

License requirements : None

void NXOpen::Features::SheetMetal::GussetBuilder::SetDatumPlane ( NXOpen::Plane dPlane)

Sets the plane of the gusset profile.


Returns the datum plane on the bend face that contains the profile of the automatic profile gusset.


Created in NX10.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
dPlanedplane
void NXOpen::Features::SheetMetal::GussetBuilder::SetPlacementCount ( int  placementCount)

Sets the placement count
Only use this option to edit gussets created prior to NX10.

Use patterns to create multiple gussets from NX10 onwards. This value is used if the NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes is set to NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFit or NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFixed . It represents the number of occurances of the automatic profile Gusset to create on the selected bend face. The count must be greater than zero for NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFit and greater than one for NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypesFixed .


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
placementCountplacementcount
void NXOpen::Features::SheetMetal::GussetBuilder::SetPlacementType ( NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes  placementType)

Sets the placement type
Only use this option to edit gussets created prior to NX10.

Use patterns to create multiple gussets from NX10 onwards. Specify the Gusset placement option. See the description of NXOpen::Features::SheetMetal::GussetBuilder::PlacementTypes elements for details.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
placementTypeplacementtype
void NXOpen::Features::SheetMetal::GussetBuilder::SetShape ( NXOpen::Features::SheetMetal::GussetBuilder::Shapes  shape)

Sets the shape
See NXOpen::Features::SheetMetal::GussetBuilder::Shapes for details.



Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
shapeshape
void NXOpen::Features::SheetMetal::GussetBuilder::SetType ( NXOpen::Features::SheetMetal::GussetBuilder::Types  type)

Sets the type of Gusset feature
Created in NX7.5.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
typetype
void NXOpen::Features::SheetMetal::GussetBuilder::SetWidthSide ( NXOpen::Features::SheetMetal::GussetBuilder::WidthSides  widthSide)

Sets the width side
Defines the side of the profile to which material should be added or from which material should be removed to construct the feature.

The side option is not required when the profile is closed.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
widthSidewidthside
NXOpen::Features::SheetMetal::GussetBuilder::Shapes NXOpen::Features::SheetMetal::GussetBuilder::Shape ( )

Returns the shape
See NXOpen::Features::SheetMetal::GussetBuilder::Shapes for details.



Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::GussetBuilder::SideAngle ( )

Returns the side angle.

The value must be greater than or equal to zero.
Created in NX7.5.0.

License requirements : None

NXOpen::SelectEdge* NXOpen::Features::SheetMetal::GussetBuilder::StartEdge ( )

Returns the start edge
Only use this option to edit gussets created prior to NX10.

Use NXOpen::Features::SheetMetal::GussetBuilder::DatumPlane and NXOpen::Features::SheetMetal::GussetBuilder::SetDatumPlane to locate automatic profile gussets from NX10 onwards. Selects the edge on the bend face to determine the gusset offset direction.


Created in NX7.5.0.

License requirements : None

NXOpen::Features::SheetMetal::GussetBuilder::Types NXOpen::Features::SheetMetal::GussetBuilder::Type ( )

Returns the type of Gusset feature
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::GussetBuilder::Width ( )

Returns the width value for the Gusset
Created in NX7.5.0.



License requirements : None

NXOpen::Features::SheetMetal::GussetBuilder::WidthSides NXOpen::Features::SheetMetal::GussetBuilder::WidthSide ( )

Returns the width side
Defines the side of the profile to which material should be added or from which material should be removed to construct the feature.

The side option is not required when the profile is closed.


Created in NX7.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.